### Hierarchy

- FileService

## Index

### Properties

- isGpx
- isKml
- isValidFileSize
- isWmsGetCap
- isWmtsGetCap
- load
- read

## Properties

### isGpx

isGpx: (fileContent: string) => boolean

- Defined in src/misc/File.js:70

#### Type declaration

- - (fileContent: string): boolean

  - #### Parameters

    - ##### fileContent: string

    #### Returns boolean

### isKml

isKml: (fileContent: string) => boolean

- Defined in src/misc/File.js:62

#### Type declaration

- - (fileContent: string): boolean

  - #### Parameters

    - ##### fileContent: string

    #### Returns boolean

### isValidFileSize

isValidFileSize: (fileSize: number) => boolean

- Defined in src/misc/File.js:38

#### Type declaration

- - (fileSize: number): boolean

  - #### Parameters

    - ##### fileSize: number

    #### Returns boolean

### isWmsGetCap

isWmsGetCap: (fileContent: string) => boolean

- Defined in src/misc/File.js:46

#### Type declaration

- - (fileContent: string): boolean

  - #### Parameters

    - ##### fileContent: string

    #### Returns boolean

### isWmtsGetCap

isWmtsGetCap: (fileContent: string) => boolean

- Defined in src/misc/File.js:54

#### Type declaration

- - (fileContent: string): boolean

  - #### Parameters

    - ##### fileContent: string

    #### Returns boolean

### load

load: (url: string, opt_cancelP: IDeferred<unknown>) => IPromise<Blob>

- Defined in src/misc/File.js:123

#### Type declaration

- - (url: string, opt_cancelP: IDeferred<unknown>): IPromise<Blob>

  - #### Parameters

    - ##### url: string

      .

    - ##### opt_cancelP: IDeferred<unknown>

    #### Returns IPromise<Blob>

    .

### read

read: (file: Blob) => IPromise<string>

- Defined in src/misc/File.js:80

#### Type declaration

- - (file: Blob): IPromise<string>

  - #### Parameters

    - ##### file: Blob

      .

    #### Returns IPromise<string>

    .

Generated using TypeDoc